/**
* @file common_itk_util.h
* @brief itk warpper utility function 
* @author James
* @history
* ===================================================================================
* Date             Name                   Description of Change
* 09-July-2008     James                  
*/
#include<tccore/workspaceobject.h>
#ifndef COMMON_ITK_UTIL
#define COMMON_ITK_UTIL

#ifdef __cplusplus
extern "C" {
#endif


int FindDatasetReferenceExt( tag_t datasettype, const char *datasettype_ref, char ext[10] );
int CompareDate( date_t date1, date_t date2 );
int GetRandomTempFile( char tempFile[256] );
logical IsItemRevisionType( char object_type[WSO_name_size_c + 1] );

#ifdef __cplusplus
}
#endif

#endif